Bug 371557 - Kontact-failure after Standby-modus [QNetworkConfiguration::~QNetworkConfiguration]
Summary: Kontact-failure after Standby-modus [QNetworkConfiguration::~QNetworkConfigur...
Status: RESOLVED UPSTREAM
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.2.3
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 372061 372330 373607 377751 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-10-24 07:34 UTC by Hartmut Häfner
Modified: 2017-05-04 09:54 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hartmut Häfner 2016-10-24 07:34:35 UTC
Application: kontact (5.2.3)

Qt Version: 5.6.1
Frameworks Version: 5.26.0
Operating System: Linux 4.8.0-26-generic i686
Distribution: Ubuntu 16.10

-- Information about the crash:
- What I was doing when the application crashed:
My system (Kubntu) has been set into Standby-Modus. When waked up kontact showed the described failure.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xadd09800 (LWP 2315))]

Thread 8 (Thread 0xa784fb40 (LWP 2435)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb2698c3c in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/i386/pthread_cond_wait.S:187
#2  0xb4a3bbdc in WTF::ThreadCondition::wait(WTF::Mutex&) () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#3  0xb46fb4c5 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#4  0xb4a24212 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#5  0xb4a3b5e1 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#6  0xb2693305 in start_thread (arg=0xa784fb40) at pthread_create.c:333
#7  0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 7 (Thread 0xa8050b40 (LWP 2434)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb2698c3c in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/i386/pthread_cond_wait.S:187
#2  0xb4a3bbdc in WTF::ThreadCondition::wait(WTF::Mutex&) () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#3  0xb46fb4c5 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#4  0xb4a24212 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#5  0xb4a3b5e1 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#6  0xb2693305 in start_thread (arg=0xa8050b40) at pthread_create.c:333
#7  0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 6 (Thread 0xa8851b40 (LWP 2433)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb2698c3c in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/i386/pthread_cond_wait.S:187
#2  0xb4a3bbdc in WTF::ThreadCondition::wait(WTF::Mutex&) () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#3  0xb46fb4c5 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#4  0xb4a24212 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#5  0xb4a3b5e1 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#6  0xb2693305 in start_thread (arg=0xa8851b40) at pthread_create.c:333
#7  0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 5 (Thread 0xa9071b40 (LWP 2432)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb2698c3c in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/i386/pthread_cond_wait.S:187
#2  0xb4a3bbdc in WTF::ThreadCondition::wait(WTF::Mutex&) () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#3  0xb46fa396 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#4  0xb4a24212 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#5  0xb4a3b5e1 in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#6  0xb2693305 in start_thread (arg=0xa9071b40) at pthread_create.c:333
#7  0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 4 (Thread 0xab2f4b40 (LWP 2343)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb2698c3c in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/i386/pthread_cond_wait.S:187
#2  0xb4a0d01a in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#3  0xb4a0d06c in ?? () from /usr/lib/i386-linux-gnu/libQt5WebKit.so.5
#4  0xb2693305 in start_thread (arg=0xab2f4b40) at pthread_create.c:333
#5  0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 3 (Thread 0xac65eb40 (LWP 2334)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb5f3f3df in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0xb2505170 in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb24f570c in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb24f5844 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb6482214 in QEventDispatcherGlib::processEvents (this=0xabd00470, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0xb6424dad in QEventLoop::exec (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6246d15 in QThread::exec (this=0xb59b36e0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#8  0xb591e73c in QDBusConnectionManager::run (this=0xb59b36e0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:171
#9  0xb624c42a in QThreadPrivate::start (arg=<optimized out>) at thread/qthread_unix.cpp:341
#10 0xb2693305 in start_thread (arg=0xac65eb40) at pthread_create.c:333
#11 0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 2 (Thread 0xad777b40 (LWP 2329)):
#0  0xb7777d05 in __kernel_vsyscall ()
#1  0xb5f3f3df in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0xb26c041d in ?? () from /usr/lib/i386-linux-gnu/libxcb.so.1
#3  0xb26c259b in xcb_wait_for_event () from /usr/lib/i386-linux-gnu/libxcb.so.1
#4  0xad8b37e3 in QXcbEventReader::run (this=0x951bc78) at qxcbconnection.cpp:1325
#5  0xb624c42a in QThreadPrivate::start (arg=<optimized out>) at thread/qthread_unix.cpp:341
#6  0xb2693305 in start_thread (arg=0xad777b40) at pthread_create.c:333
#7  0xb5f4947e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:113

Thread 1 (Thread 0xadd09800 (LWP 2315)):
[KCrash Handler]
#7  0xb28d1d39 in QExplicitlySharedDataPointer<QNetworkConfigurationPrivate>::~QExplicitlySharedDataPointer (this=0xb55ca78, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qshareddata.h:159
#8  QNetworkConfiguration::~QNetworkConfiguration (this=0xb55ca78, __in_chrg=<optimized out>) at bearer/qnetworkconfiguration.cpp:297
#9  0xb28e5ea0 in QHashNode<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::~QHashNode (this=<optimized out>, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:141
#10 QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::deleteNode2 (node=0xb55ca70) at ../../include/QtCore/../../src/corelib/tools/qhash.h:519
#11 0xb629806b in QHashData::free_helper (this=0xaef56e0, node_delete=0xb28e5e60 <QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::deleteNode2(QHashData::Node*)>) at tools/qhash.cpp:538
#12 0xb28e5e59 in QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::freeData (this=0xb660978, x=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:555
#13 QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::~QHash (this=0xb660978, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:246
#14 QSharedNetworkSessionManager::~QSharedNetworkSessionManager (this=0xb660978, __in_chrg=<optimized out>) at bearer/qsharednetworksession_p.h:61
#15 qThreadStorage_deleteData<QSharedNetworkSessionManager> (d=0xb660978) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:86
#16 QThreadStorage<QSharedNetworkSessionManager*>::deleteData (x=0xb660978) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:129
#17 0xb624a46b in QThreadStorageData::finish (p=<optimized out>) at thread/qthreadstorage.cpp:195
#18 0xb6426a00 in QCoreApplicationPrivate::cleanupThreadData (this=0x9512f40) at kernel/qcoreapplication.cpp:487
#19 0xb67653f4 in QGuiApplicationPrivate::~QGuiApplicationPrivate (this=0x9512f40, __in_chrg=<optimized out>) at kernel/qguiapplication.cpp:1444
#20 0xb6dba973 in QApplicationPrivate::~QApplicationPrivate (this=0x9512f40, __in_chrg=<optimized out>) at kernel/qapplication.cpp:188
#21 0xb6dba9fa in QApplicationPrivate::~QApplicationPrivate (this=0x9512f40, __in_chrg=<optimized out>) at kernel/qapplication.cpp:192
#22 0xb645efd3 in QScopedPointerDeleter<QObjectData>::cleanup (pointer=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:54
#23 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer (this=0xbfe68688, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:101
#24 QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:893
#25 0xb6429147 in QCoreApplication::~QCoreApplication (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qcoreapplication.cpp:848
#26 0xb67651ed in QGuiApplication::~QGuiApplication (this=0xbfe68684, __in_chrg=<optimized out>) at kernel/qguiapplication.cpp:589
#27 0xb6dbc856 in QApplication::~QApplication (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qapplication.cpp:820
#28 0xb76f2456 in KontactInterface::PimUniqueApplication::~PimUniqueApplication() () from /usr/lib/i386-linux-gnu/libKF5KontactInterface.so.5
#29 0x0804b725 in ?? ()
#30 0xb5e78276 in __libc_start_main (main=0x804a7d0, argc=3, argv=0xbfe68764, init=0x804d1f0 <__libc_csu_init>, fini=0x804d250 <__libc_csu_fini>, rtld_fini=0xb77888a0 <_dl_fini>, stack_end=0xbfe6875c) at ../csu/libc-start.c:291
#31 0x0804beb9 in _start ()

Reported using DrKonqi
Comment 1 hgeerts 2016-12-05 13:24:00 UTC
I experience this same crash every time I close/quit kontact.

Application: kontact (5.2.3)

Qt Version: 5.6.1
Frameworks Version: 5.26.0
Operating System: Linux 4.8.0-26-generic x86_64
Distribution: Ubuntu 16.10

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f454582c900 (LWP 30969))]

Thread 10 (Thread 0x7f448a824700 (LWP 32011)):
#0  0x00007f4555999510 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f454aedc574 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007f454aedc5b9 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007f455599370a in start_thread (arg=0x7f448a824700) at pthread_create.c:333
#4  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 9 (Thread 0x7f448b025700 (LWP 31016)):
#0  0x00007f455b9fb0bd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f45551679d6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f4484003220, timeout=<optimized out>, context=0x7f4484000990) at ././glib/gmain.c:4226
#2  0x00007f45551679d6 in g_main_context_iterate (context=context@entry=0x7f4484000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3922
#3  0x00007f4555167aec in g_main_context_iteration (context=0x7f4484000990, may_block=may_block@entry=1) at ././glib/gmain.c:3988
#4  0x00007f455c5404ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f44840008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007f455c4e80fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f448b024cc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f455c30dd43 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007f455c312c68 in QThreadPrivate::start(void*) (arg=0x55a531952380) at thread/qthread_unix.cpp:341
#8  0x00007f455599370a in start_thread (arg=0x7f448b025700) at pthread_create.c:333
#9  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 8 (Thread 0x7f44e8ac3700 (LWP 30978)):
#0  0x00007f4555999510 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f45596d3da3 in JSC::GCThread::gcThreadMain() (this=0x55a530fc77e0) at heap/GCThread.cpp:81
#2  0x00007f45599f4591 in WTF::wtfThreadEntryPoint(void*) (ptr=0x7f4538bfb3e0) at wtf/ThreadingPthreads.cpp:195
#3  0x00007f455599370a in start_thread (arg=0x7f44e8ac3700) at pthread_create.c:333
#4  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 7 (Thread 0x7f44e92c4700 (LWP 30977)):
#0  0x00007f4555999510 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f45596d3da3 in JSC::GCThread::gcThreadMain() (this=0x55a530fc7560) at heap/GCThread.cpp:81
#2  0x00007f45599f4591 in WTF::wtfThreadEntryPoint(void*) (ptr=0x7f4538bfb080) at wtf/ThreadingPthreads.cpp:195
#3  0x00007f455599370a in start_thread (arg=0x7f44e92c4700) at pthread_create.c:333
#4  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 6 (Thread 0x7f44e9ac5700 (LWP 30976)):
#0  0x00007f4555999510 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f45596d3da3 in JSC::GCThread::gcThreadMain() (this=0x55a530e39d50) at heap/GCThread.cpp:81
#2  0x00007f45599f4591 in WTF::wtfThreadEntryPoint(void*) (ptr=0x7f4538bfb140) at wtf/ThreadingPthreads.cpp:195
#3  0x00007f455599370a in start_thread (arg=0x7f44e9ac5700) at pthread_create.c:333
#4  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 5 (Thread 0x7f44ea2c6700 (LWP 30975)):
#0  0x00007f4555999510 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f45596d2d74 in JSC::BlockAllocator::blockFreeingThreadMain() (this=0x7f4538c5a058) at heap/BlockAllocator.cpp:139
#2  0x00007f45599f4591 in WTF::wtfThreadEntryPoint(void*) (ptr=0x7f4538bfb1b0) at wtf/ThreadingPthreads.cpp:195
#3  0x00007f455599370a in start_thread (arg=0x7f44ea2c6700) at pthread_create.c:333
#4  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 4 (Thread 0x7f45394f6700 (LWP 30972)):
#0  0x00007f4555999510 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f45599c496b in WTF::TCMalloc_PageHeap::scavengerThread() (this=0x7f455a2638fc <WTF::pageheap_memory+57564>) at wtf/FastMalloc.cpp:2825
#2  0x00007f45599c49a9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=0x7f455a2638fc <WTF::pageheap_memory+57564>) at wtf/FastMalloc.cpp:1993
#3  0x00007f455599370a in start_thread (arg=0x7f45394f6700) at pthread_create.c:333
#4  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 3 (Thread 0x7f453a707700 (LWP 30971)):
#0  0x00007f455c53e587 in QTimerInfoList::repairTimersIfNeeded() (this=0x7f4534002ed0) at kernel/qtimerinfo_unix.cpp:160
#1  0x00007f455c53e5f3 in QTimerInfoList::timerWait(timespec&) (this=0x7f4534002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:382
#2  0x00007f455c53f99e in timerSourcePrepareHelper (timeout=0x7f453a706ac4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#3  0x00007f455c53f99e in timerSourcePrepare(GSource*, gint*) (source=<optimized out>, timeout=timeout@entry=0x7f453a706ac4) at kernel/qeventdispatcher_glib.cpp:159
#4  0x00007f4555166ed9 in g_main_context_prepare (context=context@entry=0x7f4534000990, priority=priority@entry=0x7f453a706b50) at ././glib/gmain.c:3499
#5  0x00007f45551678fb in g_main_context_iterate (context=context@entry=0x7f4534000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3907
#6  0x00007f4555167aec in g_main_context_iteration (context=0x7f4534000990, may_block=may_block@entry=1) at ././glib/gmain.c:3988
#7  0x00007f455c5404ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f45340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#8  0x00007f455c4e80fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f453a706c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#9  0x00007f455c30dd43 in QThread::exec() (this=this@entry=0x7f455e88ad60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#10 0x00007f455e816575 in QDBusConnectionManager::run() (this=0x7f455e88ad60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:171
#11 0x00007f455c312c68 in QThreadPrivate::start(void*) (arg=0x7f455e88ad60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:341
#12 0x00007f455599370a in start_thread (arg=0x7f453a707700) at pthread_create.c:333
#13 0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 2 (Thread 0x7f4542ad0700 (LWP 30970)):
#0  0x00007f455b9fb0bd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f4555fbfc62 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f4555fc18d7 in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f4545455299 in QXcbEventReader::run() (this=0x55a530d31250) at qxcbconnection.cpp:1325
#4  0x00007f455c312c68 in QThreadPrivate::start(void*) (arg=0x55a530d31250) at thread/qthread_unix.cpp:341
#5  0x00007f455599370a in start_thread (arg=0x7f4542ad0700) at pthread_create.c:333
#6  0x00007f455ba070af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 1 (Thread 0x7f454582c900 (LWP 30969)):
[KCrash Handler]
#6  0x00007f45567bb5df in QExplicitlySharedDataPointer<QNetworkConfigurationPrivate>::~QExplicitlySharedDataPointer() (this=0x55a53277fff0, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qshareddata.h:159
#7  0x00007f45567bb5df in QNetworkConfiguration::~QNetworkConfiguration() (this=0x55a53277fff0, __in_chrg=<optimized out>) at bearer/qnetworkconfiguration.cpp:297
#8  0x00007f455c373019 in QHashData::free_helper(void (*)(QHashData::Node*)) (this=0x55a532787620, node_delete=0x7f45567ce090 <QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::deleteNode2(QHashData::Node*)>) at tools/qhash.cpp:538
#9  0x00007f45567ce06f in QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::freeData(QHashData*) (this=0x55a536135c50, x=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:555
#10 0x00007f45567ce06f in QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::~QHash() (this=0x55a536135c50, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:246
#11 0x00007f45567ce06f in QSharedNetworkSessionManager::~QSharedNetworkSessionManager() (this=0x55a536135c50, __in_chrg=<optimized out>) at bearer/qsharednetworksession_p.h:61
#12 0x00007f45567ce06f in qThreadStorage_deleteData<QSharedNetworkSessionManager>(void*, QSharedNetworkSessionManager**) (d=0x55a536135c50) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:86
#13 0x00007f45567ce06f in QThreadStorage<QSharedNetworkSessionManager*>::deleteData(void*) (x=0x55a536135c50) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:129
#14 0x00007f455c310ed3 in QThreadStorageData::finish(void**) (p=0x55a530d10498) at thread/qthreadstorage.cpp:195
#15 0x00007f455c4e9a2c in QCoreApplicationPrivate::cleanupThreadData() (this=this@entry=0x55a530d12290) at kernel/qcoreapplication.cpp:487
#16 0x00007f455c83384b in QGuiApplicationPrivate::~QGuiApplicationPrivate() (this=0x55a530d12290, __in_chrg=<optimized out>) at kernel/qguiapplication.cpp:1444
#17 0x00007f455d071869 in QApplicationPrivate::~QApplicationPrivate() (this=0x55a530d12290, __in_chrg=<optimized out>) at kernel/qapplication.cpp:192
#18 0x00007f455c51f2c7 in QScopedPointerDeleter<QObjectData>::cleanup(QObjectData*) (pointer=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:54
#19 0x00007f455c51f2c7 in QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer() (this=0x7fff71848828, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:101
#20 0x00007f455c51f2c7 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:893
#21 0x00007f455c4ebec6 in QCoreApplication::~QCoreApplication() (this=0x7fff71848820, __in_chrg=<optimized out>) at kernel/qcoreapplication.cpp:848
#22 0x00007f455d073331 in QApplication::~QApplication() (this=0x7fff71848820, __in_chrg=<optimized out>) at kernel/qapplication.cpp:820
#23 0x000055a53084b282 in KontactApp::~KontactApp() (this=0x7fff71848820, __in_chrg=<optimized out>) at ./kontact/src/main.cpp:60
#24 0x000055a53084b282 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./kontact/src/main.cpp:158
Comment 2 Kevin Funk 2016-12-16 12:56:14 UTC
*** Bug 372061 has been marked as a duplicate of this bug. ***
Comment 3 Matt Z. 2016-12-20 01:53:05 UTC
I experience a crash every time I close Kontact... usually in mail module when closing.

Ubuntu 16.10
KDE Plasma 5.7.5
KDE Frameworks 5.26.0
QT 5.6.1
Kernel 4.8.0-30-generic
OS Type 64-bit
_____________________________________

Backtrace of the crash I experienced:

Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ffa08e4c900 (LWP 31270))]

Thread 8 (Thread 0x7ff9a7fff700 (LWP 31278)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1ccedda3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007ffa1d00e591 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007ffa18fad6ca in start_thread (arg=0x7ff9a7fff700) at pthread_create.c:333
#4  0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 7 (Thread 0x7ff9aca6c700 (LWP 31277)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1ccedda3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007ffa1d00e591 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007ffa18fad6ca in start_thread (arg=0x7ff9aca6c700) at pthread_create.c:333
#4  0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 6 (Thread 0x7ff9ad26d700 (LWP 31276)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1ccedda3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007ffa1d00e591 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007ffa18fad6ca in start_thread (arg=0x7ff9ad26d700) at pthread_create.c:333
#4  0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 5 (Thread 0x7ff9ada6e700 (LWP 31275)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1ccecd74 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007ffa1d00e591 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007ffa18fad6ca in start_thread (arg=0x7ff9ada6e700) at pthread_create.c:333
#4  0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 4 (Thread 0x7ff9f7fff700 (LWP 31273)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffa1cfde96b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007ffa1cfde9a9 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007ffa18fad6ca in start_thread (arg=0x7ff9f7fff700) at pthread_create.c:333
#4  0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 3 (Thread 0x7ff9fd9a7700 (LWP 31272)):
#0  0x00007ffa187c7009 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffa18780ee5 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffa187818fb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffa18781aec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffa1fb5a4ab in QEventDispatcherGlib::processEvents (this=0x7ff9f80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007ffa1fb020fa in QEventLoop::exec (this=this@entry=0x7ff9fd9a6c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007ffa1f927d43 in QThread::exec (this=this@entry=0x7ffa21eabd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#7  0x00007ffa21e37575 in QDBusConnectionManager::run (this=0x7ffa21eabd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:171
#8  0x00007ffa1f92cc68 in QThreadPrivate::start (arg=0x7ffa21eabd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:341
#9  0x00007ffa18fad6ca in start_thread (arg=0x7ff9fd9a7700) at pthread_create.c:333
#10 0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 2 (Thread 0x7ffa060fa700 (LWP 31271)):
#0  0x00007ffa1f0150bd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffa195d9c62 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007ffa195db8d7 in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007ffa08a7f299 in QXcbEventReader::run (this=0x55b9cdf8f640) at qxcbconnection.cpp:1325
#4  0x00007ffa1f92cc68 in QThreadPrivate::start (arg=0x55b9cdf8f640) at thread/qthread_unix.cpp:341
#5  0x00007ffa18fad6ca in start_thread (arg=0x7ffa060fa700) at pthread_create.c:333
#6  0x00007ffa1f0210af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 1 (Thread 0x7ffa08e4c900 (LWP 31270)):
[KCrash Handler]
#6  0x00007ffa19dd55df in QExplicitlySharedDataPointer<QNetworkConfigurationPrivate>::~QExplicitlySharedDataPointer (this=0x55b9d09fa570, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qshareddata.h:159
#7  QNetworkConfiguration::~QNetworkConfiguration (this=0x55b9d09fa570, __in_chrg=<optimized out>) at bearer/qnetworkconfiguration.cpp:297
#8  0x00007ffa1f98d019 in QHashData::free_helper (this=0x55b9d09f1e20, node_delete=0x7ffa19de8090 <QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::deleteNode2(QHashData::Node*)>) at tools/qhash.cpp:538
#9  0x00007ffa19de806f in QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::freeData (this=0x55b9d09f1400, x=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:555
#10 QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::~QHash (this=0x55b9d09f1400, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:246
#11 QSharedNetworkSessionManager::~QSharedNetworkSessionManager (this=0x55b9d09f1400, __in_chrg=<optimized out>) at bearer/qsharednetworksession_p.h:61
#12 qThreadStorage_deleteData<QSharedNetworkSessionManager> (d=0x55b9d09f1400) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:86
#13 QThreadStorage<QSharedNetworkSessionManager*>::deleteData (x=0x55b9d09f1400) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:129
#14 0x00007ffa1f92aed3 in QThreadStorageData::finish (p=0x55b9cdf71508) at thread/qthreadstorage.cpp:195
#15 0x00007ffa1fb03a2c in QCoreApplicationPrivate::cleanupThreadData (this=this@entry=0x55b9cdf73300) at kernel/qcoreapplication.cpp:487
#16 0x00007ffa1fe4d84b in QGuiApplicationPrivate::~QGuiApplicationPrivate (this=0x55b9cdf73300, __in_chrg=<optimized out>) at kernel/qguiapplication.cpp:1444
#17 0x00007ffa2068b869 in QApplicationPrivate::~QApplicationPrivate (this=0x55b9cdf73300, __in_chrg=<optimized out>) at kernel/qapplication.cpp:192
#18 0x00007ffa1fb392c7 in QScopedPointerDeleter<QObjectData>::cleanup (pointer=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:54
#19 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer (this=0x7ffdbfc614c8, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:101
#20 QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:893
#21 0x00007ffa1fb05ec6 in QCoreApplication::~QCoreApplication (this=0x7ffdbfc614c0, __in_chrg=<optimized out>) at kernel/qcoreapplication.cpp:848
#22 0x00007ffa2068d331 in QApplication::~QApplication (this=0x7ffdbfc614c0, __in_chrg=<optimized out>) at kernel/qapplication.cpp:820
#23 0x000055b9cd579282 in ?? ()
#24 0x00007ffa1ef393f1 in __libc_start_main (main=0x55b9cd578320, argc=1, argv=0x7ffdbfc61618, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffdbfc61608) at ../csu/libc-start.c:291
#25 0x000055b9cd5797ca in _start ()
Comment 4 Christoph Feck 2016-12-20 18:16:29 UTC
*** Bug 372330 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2016-12-20 18:16:47 UTC
*** Bug 373607 has been marked as a duplicate of this bug. ***
Comment 6 Con Kolivas 2017-03-06 10:03:25 UTC
I had the same crash with kmail directly but couldn't attach it using drkonqi so I'm manually adding it here. The extra information is that this has happened a few times for me, after keyboard shortcuts stop working. When I press the del key as a shortcut to move to wastebin, it wasn't working; at that moment I shut down kmail. When I choose quit from the menu it crashed with the following backtrace:

acktrace of the crash I experienced:

Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1560b0a940 (LWP 2455))]

Thread 12 (Thread 0x7f149f6ca700 (LWP 9436)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f1576ecb574 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007f1576ecb5b9 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f149f6ca700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 11 (Thread 0x7f14dd7f8700 (LWP 2496)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157155ada3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f14dd7f8700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 10 (Thread 0x7f14ddff9700 (LWP 2495)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157155ada3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f14ddff9700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 9 (Thread 0x7f14de7fa700 (LWP 2494)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157155ada3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f14de7fa700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 8 (Thread 0x7f14deffb700 (LWP 2493)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157155ada3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f14deffb700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 7 (Thread 0x7f14df7fc700 (LWP 2492)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157155ada3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f14df7fc700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 6 (Thread 0x7f14dfffd700 (LWP 2491)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157155ada3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f14dfffd700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 5 (Thread 0x7f1524b0c700 (LWP 2490)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f1571559d74 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157187b591 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f1524b0c700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 4 (Thread 0x7f152cae0700 (LWP 2483)):
#0  0x00007f15766f64d0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f157184b96b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f157184b9a9 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f15766f06ca in start_thread (arg=0x7f152cae0700) at pthread_create.c:333
#4  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 3 (Thread 0x7f155c9f4700 (LWP 2457)):
#0  0x00007f157f9ebc8d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1576210c80 in read (__nbytes=16, __buf=0x7f155c9f3a30, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#2  0x00007f1576210c80 in g_wakeup_acknowledge (wakeup=0x7f15580015b0) at ././glib/gwakeup.c:210
#3  0x00007f15761cc485 in g_main_context_check (context=context@entry=0x7f1550000990, max_priority=2147483647, fds=fds@entry=0x7f1550025e00, n_fds=n_fds@entry=1) at ././glib/gmain.c:3707
#4  0x00007f15761cc974 in g_main_context_iterate (context=context@entry=0x7f1550000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3926
#5  0x00007f15761ccaec in g_main_context_iteration (context=0x7f1550000990, may_block=may_block@entry=1) at ././glib/gmain.c:3990
#6  0x00007f15805354ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f15500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#7  0x00007f15804dd0fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f155c9f3c50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007f1580302d43 in QThread::exec() (this=this@entry=0x7f158248bd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#9  0x00007f1582417575 in QDBusConnectionManager::run() (this=0x7f158248bd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:171
#10 0x00007f1580307c68 in QThreadPrivate::start(void*) (arg=0x7f158248bd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:341
#11 0x00007f15766f06ca in start_thread (arg=0x7f155c9f4700) at pthread_create.c:333
#12 0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 2 (Thread 0x7f155e320700 (LWP 2456)):
#0  0x00007f157f9f00bd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f15735b8c62 in poll (__timeout=-1, __nfds=1, __fds=0x7f155e31fb80) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  0x00007f15735b8c62 in _xcb_conn_wait (c=c@entry=0x563fd7b98bf0, cond=cond@entry=0x563fd7b98c30, vector=vector@entry=0x0, count=count@entry=0x0) at ../../src/xcb_conn.c:459
#3  0x00007f15735ba8d7 in xcb_wait_for_event (c=0x563fd7b98bf0) at ../../src/xcb_in.c:693
#4  0x00007f1560883299 in QXcbEventReader::run() (this=0x563fd7ba6d90) at qxcbconnection.cpp:1325
#5  0x00007f1580307c68 in QThreadPrivate::start(void*) (arg=0x563fd7ba6d90) at thread/qthread_unix.cpp:341
#6  0x00007f15766f06ca in start_thread (arg=0x7f155e320700) at pthread_create.c:333
#7  0x00007f157f9fc0af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 1 (Thread 0x7f1560b0a940 (LWP 2455)):
[KCrash Handler]
#6  0x00007f15780f35df in QExplicitlySharedDataPointer<QNetworkConfigurationPrivate>::~QExplicitlySharedDataPointer() (this=0x563fd95c9e60, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qshareddata.h:159
#7  0x00007f15780f35df in QNetworkConfiguration::~QNetworkConfiguration() (this=0x563fd95c9e60, __in_chrg=<optimized out>) at bearer/qnetworkconfiguration.cpp:297
#8  0x00007f1580368019 in QHashData::free_helper(void (*)(QHashData::Node*)) (this=0x563fd95807d0, node_delete=0x7f1578106090 <QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::deleteNode2(QHashData::Node*)>) at tools/qhash.cpp:538
#9  0x00007f157810606f in QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::freeData(QHashData*) (this=0x563fda6b3660, x=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:555
#10 0x00007f157810606f in QHash<QNetworkConfiguration, QWeakPointer<QNetworkSession> >::~QHash() (this=0x563fda6b3660, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:246
#11 0x00007f157810606f in QSharedNetworkSessionManager::~QSharedNetworkSessionManager() (this=0x563fda6b3660, __in_chrg=<optimized out>) at bearer/qsharednetworksession_p.h:61
#12 0x00007f157810606f in qThreadStorage_deleteData<QSharedNetworkSessionManager>(void*, QSharedNetworkSessionManager**) (d=0x563fda6b3660) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:86
#13 0x00007f157810606f in QThreadStorage<QSharedNetworkSessionManager*>::deleteData(void*) (x=0x563fda6b3660) at ../../include/QtCore/../../src/corelib/thread/qthreadstorage.h:129
#14 0x00007f1580305ed3 in QThreadStorageData::finish(void**) (p=0x563fd7b82538) at thread/qthreadstorage.cpp:195
#15 0x00007f15804dea2c in QCoreApplicationPrivate::cleanupThreadData() (this=this@entry=0x563fd7b86590) at kernel/qcoreapplication.cpp:487
#16 0x00007f158082884b in QGuiApplicationPrivate::~QGuiApplicationPrivate() (this=0x563fd7b86590, __in_chrg=<optimized out>) at kernel/qguiapplication.cpp:1444
#17 0x00007f15812f9869 in QApplicationPrivate::~QApplicationPrivate() (this=0x563fd7b86590, __in_chrg=<optimized out>) at kernel/qapplication.cpp:192
#18 0x00007f15805142c7 in QScopedPointerDeleter<QObjectData>::cleanup(QObjectData*) (pointer=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:54
#19 0x00007f15805142c7 in QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer() (this=0x7fff414042c8, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:101
#20 0x00007f15805142c7 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:893
#21 0x00007f15804e0ec6 in QCoreApplication::~QCoreApplication() (this=0x7fff414042c0, __in_chrg=<optimized out>) at kernel/qcoreapplication.cpp:848
#22 0x00007f15812fb331 in QApplication::~QApplication() (this=0x7fff414042c0, __in_chrg=<optimized out>) at kernel/qapplication.cpp:820
#23 0x0000563fd6b357db in  ()
#24 0x00007f157f9143f1 in __libc_start_main (main=0x563fd6b347e0, argc=3, argv=0x7fff414044f8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff414044e8) at ../csu/libc-start.c:291
#25 0x0000563fd6b35f9a in _start ()
Comment 7 Con Kolivas 2017-03-06 10:04:35 UTC
Sorry, version for me, current kubuntu 16.10 packages:
KDE Frameworks 5.26.0
Qt 5.6.1 (built against 5.6.1)
The xcb windowing system
Comment 8 Christoph Feck 2017-04-26 12:13:12 UTC
*** Bug 377751 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2017-05-04 09:54:58 UTC
This is https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1630765

Please check with your distribution, if you indeed have a Qt version with the fix applied.